Subject: Re: a possible issue with radix MMU on P9

From: Michael Ellerman <[email-masked]>
Date: Thu, 11 May 2023 22:16:51 +1000

Dan Horák <[email-masked]> writes:
> Hi all,
>
> we have been struggling with an issue in the bdwgc project (garbage
> collector) on P9 systems for a while [1]. There were some test failing
> on P9, but not on P8 or other platforms (x86, s390x, aarch64). Recently
> the upstream developer has found out there is likely a problem in the
> kernel memory mgmt [2], there is a reproduction scenario included. I
> have rechecked the original code on P9 with hash MMU and it worked. Thus
> I believe there is a problem in the radix MMU code on Power, where it
> behaves differently. My testing was using Fedora, which means recent
> kernels up to 6.4-rc1.
>
> [1] https://github.com/ivmai/bdwgc/issues/479
> [2] https://github.com/ivmai/bdwgc/issues/479#issuecomment-1535274481

Thanks Dan.

Fix patch here: https://lore.kernel.org/linuxppc-dev/[email-masked]/

I tested that it fixes the bdwgc failures (with their workaround reverted).

cheers